Bug 445039 - intel 945GM crash: X, another X, VT switch back to first
intel 945GM crash: X, another X, VT switch back to first
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-02 17:30 EDT by Warren Togami
Modified: 2009-07-14 13:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 13:39:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Appears to be Xorg log from the first X (27.22 KB, text/plain)
2008-05-02 17:46 EDT, Warren Togami
no flags Details
Appears to be Xorg log from the second X (15.65 KB, text/plain)
2008-05-02 17:46 EDT, Warren Togami
no flags Details

  None (edit)
Description Warren Togami 2008-05-02 17:30:45 EDT

1. Login to GNOME desktop as a user.
2. User Switch so you see a gdm login screen.
3. CTRL-ALT-Fx switch back to your original VT.

Screen goes corrupted as X crashed.  I was able to force a clean shutdown by
hitting the power button.  Attached are Xorg.0.log*
Comment 1 Warren Togami 2008-05-02 17:46:10 EDT
Created attachment 304425 [details]
Appears to be Xorg log from the first X
Comment 2 Warren Togami 2008-05-02 17:46:51 EDT
Created attachment 304426 [details]
Appears to be Xorg log from the second X
Comment 3 Matěj Cepl 2008-05-03 06:15:43 EDT
Not sure whom to blame, but let's keep all these bugs in one place.
Comment 4 Warren Togami 2008-05-03 23:24:17 EDT
Huh?  Isn't this clearly an X bug?
Comment 5 Bug Zapper 2008-05-14 06:33:29 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Warren Togami 2008-05-30 12:11:47 EDT
Reassigning to xgl-maint because this seems to be X, not gdm's fault.
Comment 7 Warren Togami 2008-05-30 21:49:31 EDT

Still reproducible.
Comment 8 Jean-Christophe Choisy 2008-06-18 05:14:32 EDT
This is a very well known bug in the intel driver (note, 2.2.1 is old...)
Most distros have issued a fixed package in the past for 2.2.1, and upstream has
fixed this in the new stable line which I believe is 2.3.x -- Time to catch up,
intel video cards are not that rare in laptops these days, and fedora9 is a
frequent crasher on these. Logging out of X (even when shutting down) often
triggers this ugly, old and long fixed everywhere else bug.

Sorry for not being more precise, but why bother, every other distro's bugzilla
has tens of duplicate of this, except that they're now all marked as FIXED.

Bye bye.
Comment 9 Bug Zapper 2009-06-09 20:35:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 10 Bug Zapper 2009-07-14 13:39:19 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.